converterClass: info.magnolia.personalization.cookie.CookieParameterConverter
defaultPreviewTrait: false
defaultRuleTrait: false
name: cookies
traitClass: info.magnolia.personalization.cookie.Cookies
voterClass: info.magnolia.personalization.cookie.CookieVoter
ruleField:
  class: info.magnolia.ui.form.field.definition.SwitchableFieldDefinition
  transformerClass: info.magnolia.personalization.cookie.CookieFieldTransformer
  options:
    visits:
      label: Visits
      value: visits
  fields:
    visits:
      class: info.magnolia.ui.form.field.definition.SelectFieldDefinition
      label: Visits
      sortOptions: false
      options:
        one:
          label: One
          value: 1
        two:
          label: Two
          value: 2
        three:
          label: Three
          value: 3
        four:
          label: Four
          value: 4
        any:
          label: Any
          value: any
valueField:
  class: info.magnolia.ui.form.field.definition.OptionGroupFieldDefinition
  multiselect: false
  sortOptions: false
  options:
    visitsAny:
      label: 'Visit: Any'
      value: visits=any
    visitsOne:
      label: 'Visits: One'
      value: visits=1
    visitsTwo:
      label: 'Visits: Two'
      value: visits=2
    visitsThree:
      label: 'Visits: Three'
      value: visits=3
    visitsFour:
      label: 'Visits: Four'
      value: visits=4
